import { PolarBase } from "./PolarBase";
import { PathRenderer } from "./PathRenderer";
import { SeriesView } from "./SeriesView";
import { UnknownValuePlotting } from "igniteui-react-core";
import { PolarFrame } from "./PolarFrame";
import { PolarBaseView } from "./PolarBaseView";
import { Type } from "igniteui-react-core";
/**
 * @hidden
 */
export declare abstract class PolarLineSeriesBase extends PolarBase {
    static $t: Type;
    protected get_zk(): boolean;
    protected zp(): boolean;
    protected cq(): SeriesView;
    qw(a: SeriesView): void;
    aca: PolarLineSeriesBaseView;
    constructor();
    ab7: PathRenderer;
    ab9: PathRenderer;
    acb(): UnknownValuePlotting;
    protected get_ace(): boolean;
    protected get ace(): boolean;
    protected get_acg(): boolean;
    protected get acg(): boolean;
    aa4(a: PolarFrame, b: PolarBaseView): void;
    private ach;
    private aci;
    private acd;
    private acc;
    private acf;
    protected abstract acj(a: SeriesView): void;
    abstract ack(a: PolarFrame, b: PolarBaseView): void;
    o2(a: boolean, b: SeriesView): void;
    ab8: PathRenderer;
    aa8(a: PolarFrame, b: PolarBaseView): void;
}
/**
 * @hidden
 */
export declare class PolarLineSeriesBaseView extends PolarBaseView {
    static $t: Type;
    private c8;
    constructor(a: PolarLineSeriesBase);
    protected af(): void;
}
